// 	UAEGestalt.h 
// 	Copyright  1991-92 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the TAEApplication class, the base application class
//	for the AEGestalt application
//
//	<1>		khs		1.0		First final version


// INCLUDE FILES

#ifndef __AEGESTALT__
#define __AEGESTALT__

#ifndef __INCLUDEFILES__
#include "IncludeFiles.h"
#endif

#ifndef __LABELVIEW__
#include "ULabelView.h"
#endif

#ifndef __INFORMATIONVIEW__
#include "UInformationView.h"
#endif

#ifndef __UGRAYFILLADORNER__
#include "UGrayfillAdorner.h"
#endif

#ifndef __AEDOCUMENT__
#include "UAEDocument.h"
#endif

#ifndef __AESERVERCOMMAND__
#include "UAEServerCommand.h"
#endif

#ifndef __ABOUT__
#include "About.h"
#endif


// TApplication 

class TAEApplication : public TApplication
{
public:
	TAEApplication();
	virtual pascal void IAEApplication(OSType fileType,
									   OSType creator);
	virtual pascal TDocument* DoMakeDocument(CommandNumber,
											 TFile*);
	virtual pascal void DoAppleCommand(CommandNumber aCommandNumber,
									   const AppleEvent& message,
									   const AppleEvent& reply);
	virtual pascal void DoAboutBox();

};

#endif __AEGESTALT__

