// 	Copyright  1992 Apple Computer, Inc. All rights reserved.
// 	UAppFrameAdorner.h
//	Kent Sandvik DTS
//	This file contains the TAppFrameAdorner class, the simple frame 
//	adornment in the window
//	Version Info (latest first):
//
//	<1>		khs		1.0		First final version
//	<2>		khs		1.0.1	Fixed a memory leak in TMapApplication::GetSleepValue()


#ifndef __APPFRAMEADORNER__
#define __APPFRAMEADORNER__

#ifndef __UADORNERS__
#include <UAdorners.h>
#endif

// a simple adorner, that just draws a nice frame inside the document itself
class TAppFrameAdorner : public TAdorner
{
public:
	TAppFrameAdorner();
	virtual pascal void Draw(TView* itsView,
							 const VRect&		/*area*/);
};



#endif __APPFRAMEADORNER__

