//	UAEClientCommand.h
// 	Copyright  1991-92 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the TAEClientCommand class, the client
//	Apple event class which makes the query over the network to the server
//
//	<1>		khs		1.0		First final version


#ifndef __AECLIENTCOMMAND__
#define __AECLIENTCOMMAND__

#ifndef __AEGESTALT__
#include "UAEGestalt.h"
#endif

#ifndef __AEDOCUMENT__
#include "UAEDocument.h"
#endif


class TAEDocument;

class TAEClientCommand : public TClientCommand
{
public:
	TAEClientCommand();
	virtual pascal void IAEClientCommand(CommandNumber,
										 TAEDocument* ,
										 AEEventID);

	virtual pascal void ProcessReply(TAppleEvent*);

	TAEDocument* fDocument;
};

#endif __AECLIENTCOMMAND__

