// Copyright (c) 1989 Apple Computer. All rights reserved.

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#if qDebug
include "Debug.rsrc";
#endif

include "MacApp.rsrc";
include "Dialogs" 'CODE';

#define cName   4000

include "views.rsrc";			//  views 1000, 2000  

include "Defaults.rsrc"	'SIZE' (-1);					// default = 534, 246; 384, 96
include "Defaults.rsrc"	'ALRT' (phAboutApp);			// default about window
include "Defaults.rsrc"	'DITL' (phAboutApp);			// default about contents
include "Defaults.rsrc"	'STR#' (kDefaultCredits);	// default credits


//======================================================================================
include "Defaults.rsrc" 'cmnu' (mApple);				// default Apple menus
include "Defaults.rsrc" 'cmnu' (mEdit);				// default Edit menus

resource 'cmnu' (2) {
	2,
	textMenuProc,
	0x7FFFFBBB,
	enabled,
	"File",
	 {
		"Close", noIcon, noKey, noMark, plain, cClose;
		"-", noIcon, noKey, noMark, plain, nocommand;
		"Quit", noIcon, "Q", noMark, plain, cQuit
	}
};

resource 'cmnu' (4) {
	4,
	textMenuProc,
	0x7FFFFFFF,
	enabled,
	"CheckThisOut",
	 {
		"PICTDialog", noIcon, "N", noMark, plain, cName
	}
};


resource 'MBAR' (kMBarDisplayed,
#if qNames
"Dialogs",
#endif
	purgeable) {
	{mApple; 2; mEdit; 4; }
};

