// Copyright  1991 Apple Computer, Inc. All rights reserved.

#include "UDialogs.h"


TDialogsApplication	*gDialogsApplication;


#pragma segment Main
void main()
{
	InitToolBox();													//	essential toolbox and utilities
	if (ValidateConfiguration(&gConfiguration)){			//	make sure we can run
		InitUMacApp(8); 											//	8 calls to MoreMasters
		InitUTEView();												// prevent code strip
		InitUDialog();												// prevent code strip
		gDialogsApplication = new TDialogsApplication;	//	create an application object
		FailNIL(gDialogsApplication);							//	make sure enough memory
		gDialogsApplication->IDialogsApplication();		//	initialize the application
		gDialogsApplication->Run();							//	run the application
	}
	else
		StdAlert(phUnsupportedConfiguration);			//	tell user we can't run
}
